Name: kgoldrunner
Summary: A game of action and puzzle solving
Group: Graphical desktop/KDE4
URL: http://www.kde.org/applications/games/kgoldrunner/
Version: 15.04.3
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/unstable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel
Suggests: kgoldrunner-handbook
Conflicts: kde-games-devel < 4.9.80
Conflicts: kde-games-core < 4.9.80
Obsoletes: kde-games-core < 4.9.80
Obsoletes: kde-games-%{name} <= 4.9.5
Conflicts: kde-games-%{name} <= 4.9.5

%description
KGoldrunner is an action game where the hero runs through a maze, climbs stairs,
dig holes and dodges enemies in order to collect all the gold nuggets and escape
to the next level. Your enemies are also after the gold. Worse still, they are
after you!.

%files
%_kde_bindir/kgoldrunner
%_kde_applicationsdir/KGoldrunner.desktop
%_kde_datadir/config/kgoldrunner.knsrc
%_kde_appsdir/kgoldrunner
%_kde_iconsdir/hicolor/*/apps/kgoldrunner.png

#------------------------------------------------------------------------------

%package -n kgoldrunner-handbook
Summary: Kgolrunner handbook
Conflicts: kgoldrunner < 4.7.1-2
Requires:  kgoldrunner
BuildArch: noarch
Group: Documentation
%description -n kgoldrunner-handbook
This package provides the kgoldrunner handbook.

%files -n kgoldrunner-handbook
%_kde_docdir/HTML/en/kgoldrunner

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/KGoldrunner.desktop

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
